Sponsored Links

Sponsored Links

Mugen Souls PS3 3.55 / 3.41 CFW EBOOT Fix is Released


Sponsored Links
117w ago - Today Spanish PlayStation 3 developer roid clive has modified the Japanese Mugen Souls PS3 EBOOT file to work with the DUPLEX release (Mugen.Souls.PS3-DUPLEX) allowing EU (BLES01723) and US Custom Firmware users to run the game on both 3.55 and 3.41 CFW!

Download: [Register or Login to view links] / [Register or Login to view links] (Mirror) / [Register or Login to view links] (Mirror #2) / [Register or Login to view links] (Mirror #3) / [Register or Login to view links] (Mirror #4) / [Register or Login to view links] (Mirror #5)

To quote, roughly translated: "After a couple of days doing experiments with European and Japanese versions, here you have the patch Hybrid Game "Mugen.Souls.PS3-DUPLEX" translated into English to 99.9% (only PS3 Trophies are in Japanese). Friends so enjoy ^ _ ^!.

Greetings from Sevilla."

According to darcangel and darksergio (via ps3iso.com/fixes/153958-mugen-souls-bles01723-fix-eur.html): It's 100% working, and its almost 100% English. The trophies are on Japanese but who cares about that I have all Totori no Atelir trophies on Japanese because of the previous fix.

Just wondering is the UER version fix work unless is hybrid like this one do it has dual voices or we will go deaf whit the English voices? They are good but Japanese voices are always the best on NISA games.

Finally, it should be noted that the Mugen Souls fix is a hybrid and although the game is extremely playable it is just not 100% playable.




Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter, Facebook and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene and PlayStation 4 scene updates and fresh homebrew releases!

Comments 9187 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles.
 
#1497 - Hipmans - 151w ago
Hipmans's Avatar
I can confirm it works with the 4.00 spoof but it should also run with 3.66 as it only requires 3.60

#1496 - vincemeister55 - 151w ago
vincemeister55's Avatar
about the chrono cross fixed, I have the 3.66 spoofer, will that work or should i need the 4.00 spoof?

#1495 - dreamwalker7 - 151w ago
dreamwalker7's Avatar
Amy doesn't work on 3.55.

If you're having problems with Chrono Cross use the 4.00 spoofer patch pkg

#1494 - daSlayer87 - 151w ago
daSlayer87's Avatar
Does the PSN Horror Game "AMY" works on CFW 3.55?

#1493 - Hipmans - 151w ago
Hipmans's Avatar
Anyone else have a problem with Proposition JOe's Chrono Cross links? I followed the links, downloaded and installed the game +fix and used Rebug version spoofer to 4.00 and can't get the game to work. Could there be something wrong with the fix, cause once it's installed I see Breath of fire in the gamelist which I did not even install.....? Any help is appreciated.

please ignore above post, I just noticed breath of fire links are right above Chrono Cross so for sure I must have picked the wrong fix.

Sorry for wasting your time

 

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Advertising - Affiliates - Contact Us - PS3 Downloads - PS3 Forums - Privacy Statement - Site Rules - Top - © 2015 PlayStation 3 News